<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>homework_js_2</title>
</head>
<body>
  <script>
    var x = 6;
    var y = 14;
    var z = 4;

    document.write('<p>' + 'x += y - x++ * z' + ' = ' + 
        (x += y - x++ * z) + '</p>');
        /*Порядок виконання операторів:
        1. х++ - постфіксний оперотор, результат 6 (бо 7 стане лише
        наступний раз виклику/використання х)
        2. х++ * z  - оператор множення, результат 24 (6 * 4)
        3. y - ...  - оператор віднімання, результат -10 (14 - 24)
        4. x += ...  - оператор присвоєння і додавання, результат -4 (6 + -10)
        */

    x = 6;
    y = 14;
    z = 4;
    document.write('<p>' + 'z = --x - y * 5' + ' = ' + 
        (z = --x - y * 5) + '</p>');
        /*Порядок виконання операторів:
         1. --x - префіксний дикримент, результат 5
         (бо спочатку віднімає, навідміну від постфіксного)
         2. y * 5 - оператор множення, результат 70 (14 * 5)
         3. --x - ... - оператор віднімання, результат -65
         4. z = - оператор присвоєння, без додаткових дій (z = -65)
        */

    x = 6;
    y = 14;
    z = 4;
    document.write('<p>' + 'y /= x + 5 % z' + ' = ' + 
        (y /= x + 5 % z) + '</p>');
        /* Порядок виконная операторів:
        1. 5 % z - залишок від ділення, результат 1
        2. x + ... - оператор додавання, результат 7
        3. y /= ... - оператор ділення і присвоєння, результат 2
        */


    x = 6;
    y = 14;
    z = 4;
    document.write('<p>' + 'z - x++ + y * 5' + ' = ' + 
        (z - x++ + y * 5) + '</p>');
        /* Порядок виконання операторів:
        1. x++ - постфіксний інкримент, результат 6 (бо 7 стане лише
        наступний раз виклику/використання х)
        2. y * 5 - оператор множення, результат 70
        3. z - x++... - оператор віднімання, результат -2 (оператор + та - мають однакову
        вагу, тому будуть виконуватися почергово)
        4. ...+... - оператор додавання, результат 68
        */

    x = 6;
    y = 14;
    z = 4;
    document.write('<p>' + 'x = y - x++ * z' + ' = ' + 
        (x = y - x++ * z) + '</p>');
        /* Порядок виконання операторів:
        1. x++ - постфіксний інкримент, результат 6 (бо 7 стане лише
        наступний раз виклику/використання х)
        2. x++ * z - оператор множення, результат 24
        3. y -... - оператор віднімання, результат -10
        4. x =юю - оператор присвоєння. x = -10
        */
  </script>
</body>
</html>